Bug 111290 - [patch] sysutils/dtc pkg-plist and distinfo fixups, remove BROKEN
Summary: [patch] sysutils/dtc pkg-plist and distinfo fixups, remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-05 23:10 UTC by Josh Paetzel <josh@tcbug.org>
Modified: 2007-08-30 02:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (519 bytes, patch)
2007-04-05 23:10 UTC, Josh Paetzel <josh@tcbug.org>
no flags Details | Diff
file.diff (580 bytes, patch)
2007-04-05 23:10 UTC, Josh Paetzel <josh@tcbug.org>
no flags Details | Diff
file.diff (5.12 KB, patch)
2007-04-05 23:10 UTC, Josh Paetzel <josh@tcbug.org>
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel <josh@tcbug.org> 2007-04-05 23:10:02 UTC

sysutils/dtc is marked broken because of bad dependancy but the dependancy
ports build fine, the problem with it is wrong distinfo and pkg-plist info

How-To-Repeat: 

cd /usr/ports/sysutils/dtc && make install
Comment 1 Edwin Groothuis freebsd_committer 2007-04-05 23:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-07-23 09:22:25 UTC
State Changed
From-To: feedback->open

Maintainer was reset due to last of response to email, and to this PR. 

To submitter: would you like to become the new maintainer?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-07-23 09:23:57 UTC
State Changed
From-To: open->feedback

Note that submitter was asked for feedback.
Comment 4 Rong-En Fan freebsd_committer 2007-07-27 21:40:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 dfilter service freebsd_committer 2007-08-30 02:42:40 UTC
rafan       2007-08-30 01:42:35 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dtc         Makefile distinfo pkg-plist 
    sysutils/dtc/files   dtc-deinstall.in dtc-install.in 
  Log:
  - Update to 0.25.0.1
    It is based on author's port available at master site.
  - Brokeness is fixed in required ports
  
  Please note the fix in PR is incomplete.
  
  PR:             ports/111290
  Submitted by:   Josh Paetzel <josh at tcbug.org>
  Approved by:    maintainer timeout (14 days)
  
  Revision  Changes    Path
  1.20      +3 -8      ports/sysutils/dtc/Makefile
  1.7       +3 -3      ports/sysutils/dtc/distinfo
  1.5       +5 -442    ports/sysutils/dtc/files/dtc-deinstall.in
  1.5       +11 -3838  ports/sysutils/dtc/files/dtc-install.in
  1.5       +33 -70    ports/sysutils/dtc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Rong-En Fan freebsd_committer 2007-08-30 02:44:26 UTC
State Changed
From-To: feedback->closed

Fixed by updating to latest version. Changes are based on author's port.